### Function Macro

# GLib slice_free

since: 2.10

#### Declaration

    #define g_slice_free (
      type,
      mem
    )

#### Description

A convenience macro to free a block of memory that has been allocated from the slice allocator.

It calls `g_slice_free1()` using `sizeof (type)` as the block size. Note that the exact release behaviour can be changed with the [`G_DEBUG=gc-friendly`][G_DEBUG] environment variable.

If `mem` is `NULL`, this macro does nothing.

Since GLib 2.76 this always uses the system `free()` implementation internally.

Available since: 2.10

This function is not directly available to language bindings.

#### Parameters

`type`

  Type: `-`

  The type of the block to free, typically a structure name.

`mem`

  Type: `-`

  A pointer to the block to free.